Bug 966117 - [RFE] engine: after several vdsm restart on spm we continue to select the host as spm if it's priority is high
[RFE] engine: after several vdsm restart on spm we continue to select the hos...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
medium Severity medium
: ---
: 3.4.0
Assigned To: Nobody's working on this, feel free to take it
Leonid Natapov
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 10:12 EDT by Dafna Ron
Modified: 2015-01-24 05:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 10:56:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (596.18 KB, application/x-gzip)
2013-05-22 10:12 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-05-22 10:12:55 EDT
Created attachment 751733 [details]
logs

Description of problem:

In a 3 hosts cluster, I have 1 host which has SPM priority as high and 2 other hosts with SPM priority as low.
I ran some tests in which I restarted vdsm several times on the spm within 1 hour and but I see that when the host has spm priority high we will never move the spm to a different host. 
seems to me that if a host which has spm priority high has several vdsm restarts in one hour we should probably select a different host as spm and alert the user in event log. 

Version-Release number of selected component (if applicable):

sf17.1

How reproducible:

100%

Steps to Reproduce:
1. in a 3 hosts cluster select the spm as priority high and the two other hosts as spm priority low. 
2. restart the vdsm several times
3.

Actual results:

we keep selecting the same host as spm because it has spm priority high

Expected results:

if vdsm restarted several times with in 1 hour on the host, even if its priority high, we should select a different host as SPM. 

Additional info: engine and host logs.
Comment 1 Liron Aravot 2013-07-08 11:31:22 EDT
Allon - 
this is an RFE imo, not a bug.
as the spm selection/priority is currently handled by infra - we should decide whether we leave it under storage.
Comment 6 Itamar Heim 2014-06-16 10:56:54 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.